
/*
 * Copyright 2011-2022 Cuberite Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

#include "StringUtils.h"

class cPlayer;
class cCommandOutputCallback;

bool HandleClearCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleEffectCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleKickCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleListCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleRankCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleListRanksCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleListGroupsCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleMeCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleNumChunksCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleOpCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandlePlayersCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandlePortalCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleSaveAllCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleSayCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleSeedCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleSetSpawnCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleSpawnCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleSpawnPointCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleStopCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
bool HandleSummonCommand(const AStringVector& a_Split, cPlayer* a_Player, const AString& a_Command, cCommandOutputCallback* a_Output);
    
